restinio::router::easy_parser_router::impl::dsl_details::one_clause_type_processor< const char[Size], false, Current_Index > Struct Template Reference

`#include <easy_parser_router.hpp>`

## Public Types

using | clause_type = special_exact_fixed_size_fragment_clause_t< Size >

## Static Public Attributes

static constexpr std::size_t | next_index = Current_Index

## Detailed Description

template<std::size_t Size, std::size_t Current_Index>
struct restinio::router::easy_parser_router::impl::dsl_details::one_clause_type_processor< const char[Size], false, Current_Index >

Definition at line 383 of file easy_parser_router.hpp.

## Member Typedef Documentation

## clause_type

template<std::size_t Size, std::size_t Current_Index>

using restinio::router::easy_parser_router::impl::dsl_details::one_clause_type_processor< const char[Size], false, Current_Index >::clause_type = special_exact_fixed_size_fragment_clause_t<Size>

Definition at line 385 of file easy_parser_router.hpp.

## Member Data Documentation

## next_index

template<std::size_t Size, std::size_t Current_Index>

constexpr std::size_t restinio::router::easy_parser_router::impl::dsl_details::one_clause_type_processor< const char[Size], false, Current_Index >::next_index = Current_Index

staticconstexpr

Definition at line 386 of file easy_parser_router.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/easy_parser_router.hpp